commit:     b29a2419c11ee7f0521c4007a395c10b1659e8c3
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 18 16:43:26 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Mar 18 16:43:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b29a2419

net-libs/libsoup: bump to 2.64.2

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 net-libs/libsoup/Manifest              |  1 +
 net-libs/libsoup/libsoup-2.64.2.ebuild | 94 ++++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/net-libs/libsoup/Manifest b/net-libs/libsoup/Manifest
index 80172ce88b7..f7aa4020665 100644
--- a/net-libs/libsoup/Manifest
+++ b/net-libs/libsoup/Manifest
@@ -1,2 +1,3 @@
 DIST libsoup-2.58.2.tar.xz 1815256 BLAKE2B 
23c6e40f91a2dca13fcabe4fa3af7311874cbe06962c6cdc93d8d8d0a998d29cff9e7ce61190541b6114b4996d758b7c469b0354a6012856667e9541a78177cb
 SHA512 
85af6fac87343bdd22312518402144d33916225f60d6fa158efdd84f7ee7ed1f9895989b3558f711c9aedc93cff35a4114ad79d6d2aa19c54cb326f162a4c7de
 DIST libsoup-2.62.3.tar.xz 1851780 BLAKE2B 
e3a3518f485d4ab1fe133f5b382d32e4b949e720005c4fdbbe963ba68030d5fcfb11deb5103843f47f221b540e96c5d5ea0f7c52f898617dca37d8df9faec669
 SHA512 
88354728b1da10288472c7380f166263b64d979df3e6e70ebdbc7b61f3c8eb1dc1205d5b1ead16243c6d304940a4dd4e3a9f3b2ce3e1422a1c5032220b16c73b
+DIST libsoup-2.64.2.tar.xz 1793440 BLAKE2B 
77a41ad62e0e419711cb26f510b6c0ca09c0430300f72144a0d0563a24e24639d1ca430784051b8de279623193a273510d5c95de6edb4a54a3aee0bd7903d9cd
 SHA512 
c001495be4e1eafd169b904431b22e961b52f5a3202f2e75b0657281cbfd91153148765bd95378bba3e85a66d7eaca428750641f20c07ca3232d1f9bdabdc90f

diff --git a/net-libs/libsoup/libsoup-2.64.2.ebuild 
b/net-libs/libsoup/libsoup-2.64.2.ebuild
new file mode 100644
index 00000000000..be2bc815aed
--- /dev/null
+++ b/net-libs/libsoup/libsoup-2.64.2.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{3_3,3_4,3_5,3_6} )
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 multilib-minimal python-any-r1 vala
+
+DESCRIPTION="An HTTP library implementation in C"
+HOMEPAGE="https://wiki.gnome.org/Projects/libsoup";
+
+LICENSE="LGPL-2+"
+SLOT="2.4"
+
+IUSE="debug gssapi +introspection samba ssl test +vala"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+       >=dev-libs/libxml2-2.9.1-r4:2[${MULTILIB_USEDEP}]
+       >=dev-db/sqlite-3.8.2:3[${MULTILIB_USEDEP}]
+       >=net-libs/libpsl-0.20.0[${MULTILIB_USEDEP}]
+       >=net-libs/glib-networking-2.38.2[ssl?,${MULTILIB_USEDEP}]
+       gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
+       introspection? ( >=dev-libs/gobject-introspection-0.9.5:= )
+       samba? ( net-fs/samba )
+"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       dev-util/glib-utils
+       >=dev-util/gtk-doc-am-1.20
+       >=dev-util/intltool-0.35
+       sys-devel/gettext
+       >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+       test? ( >=dev-libs/glib-2.40:2[${MULTILIB_USEDEP}] )
+       vala? ( $(vala_depend) )
+"
+#      test? ( 
www-servers/apache[ssl,apache2_modules_auth_digest,apache2_modules_alias,apache2_modules_auth_basic,
+#              
apache2_modules_authn_file,apache2_modules_authz_host,apache2_modules_authz_user,apache2_modules_dir,
+#              
apache2_modules_mime,apache2_modules_proxy,apache2_modules_proxy_http,apache2_modules_proxy_connect]
+#              dev-lang/php[apache2,xmlrpc]
+#              net-misc/curl
+#              net-libs/glib-networking[ssl])"
+
+src_prepare() {
+       if ! use test; then
+               # don't waste time building tests (bug #226271)
+               sed 's/^\(SUBDIRS =.*\)tests\(.*\)$/\1\2/' -i Makefile.am 
Makefile.in \
+                       || die "sed failed"
+       fi
+
+       # FIXME: workaround upstream not respecting --without-apache-httpd
+       sed -e '/check: start-httpd/d' \
+               -i tests/Makefile.am tests/Makefile.in || die
+
+       use vala && vala_src_prepare
+       gnome2_src_prepare
+}
+
+src_configure() {
+       # FIXME: we need addpredict to workaround bug #324779 until
+       # root cause (bug #249496) is solved
+       addpredict /usr/share/snmp/mibs/.index
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       # Disable apache tests until they are usable on Gentoo, bug #326957
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure \
+               --disable-static \
+               --disable-tls-check \
+               --without-gnome \
+               --without-apache-httpd \
+               $(usex debug --enable-debug=yes ' ') \
+               $(multilib_native_use_with gssapi) \
+               $(multilib_native_use_enable introspection) \
+               $(multilib_native_use_enable vala) \
+               $(use_with samba ntlm-auth '${EPREFIX}'/usr/bin/ntlm_auth)
+
+       if multilib_is_native_abi; then
+               # fix gtk-doc
+               ln -s "${S}"/docs/reference/html docs/reference/html || die
+       fi
+}
+
+multilib_src_install() {
+       gnome2_src_install
+}

Reply via email to